using HotelContracts.BindingModels;
using HotelContracts.ViewModels;

namespace HotelContracts.BusinessLogicsContracts;

public interface IReportLogic
{
    List<ReportListCleaningModel> GetListCleaning();
    List<ReportGuestViewModel> GetGuests(ReportBindingModel model);
    void SaveListCleaningToWordFile(ReportBindingModel model);
    void SaveListCleaningToExcelFile(ReportBindingModel model);
    void SaveGuestsToPdfFile(ReportBindingModel model);
}